Bug 17103 - Internal error
Internal error
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-30 05:41 EDT by Enrico Scholz
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-09-01 06:25:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Minimal test example (231 bytes, text/plain)
2000-08-30 05:42 EDT, Enrico Scholz
no flags Details

  None (edit)
Description Enrico Scholz 2000-08-30 05:41:29 EDT
While compiling the attached program (minimal example from krb4
(http://www.pdc.kth.se/kth-krb/)) I get:

$ gcc -v test.c
Reading specs from /usr/lib/gcc-lib/i686-redhat-linux/2.96/specs
gcc version 2.96 20000731 (experimental)
 /usr/lib/gcc-lib/i686-redhat-linux/2.96/cpp0 -lang-c -v -D__GNUC__=2
-D__GNUC_MINOR__=96 -D__GNUC_PATCHLEVEL__=0 -D__ELF__ -Dunix -Dlinux
-D__ELF__ -D__unix__ -D__linux__ -D__unix -D__linux -Asystem(posix)
-Acpu(i386) -Amachine(i386) -Di386 -D__i386 -D__i386__
-D__tune_pentiumpro__ test.c /tmp/ccjluQl7.i
GNU CPP version 2.96 20000731 (experimental) (cpplib)
 (i386 Linux/ELF)
ignoring nonexistent directory "/usr/i686-redhat-linux/include"
#include "..." search starts here:
#include <...> search starts here:
 /usr/local/include
 /usr/lib/gcc-lib/i686-redhat-linux/2.96/include
 /usr/include
End of search list.
 /usr/lib/gcc-lib/i686-redhat-linux/2.96/cc1 /tmp/ccjluQl7.i -quiet
-dumpbase test.c -version -o /tmp/ccsCHdC6.s
GNU C version 2.96 20000731 (experimental) (i686-redhat-linux) compiled by
GNU C version 2.96 20000731 (experimental).
test.c: In function `readstream':
test.c:7: `ip' undeclared (first use in this function)
test.c:7: (Each undeclared identifier is reported only once
test.c:7: for each function it appears in.)
test.c:8: dupicate case value
test.c:9: sizeof applied to an incomplete type
test.c:13: parse error before `void'
test.c:17: Internal error: Speicherzugriffsfehler.
Please submit a full bug report.
See <URL:http://www.gnu.org/software/gcc/bugs.html> for instructions.
$rpm -q gcc
gcc-2.96-53
Comment 1 Enrico Scholz 2000-08-30 05:42:21 EDT
Created attachment 3098 [details]
Minimal test example
Comment 2 Enrico Scholz 2000-11-21 16:34:40 EST
Fixed in gcc-2.96-63

Note You need to log in before you can comment on or make changes to this bug.